Bug 1006062 - thin pool mda device swapping doesn't work
thin pool mda device swapping doesn't work
Status: CLOSED DUPLICATE of bug 1007074
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.5
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Zdenek Kabelac
Cluster QE
: Reopened
Depends On: 973419
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 18:43 EDT by Corey Marthaler
Modified: 2013-10-16 08:17 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 973419
Environment:
Last Closed: 2013-10-16 08:17:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 RHEL Product and Program Management 2013-10-13 22:18:25 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Zdenek Kabelac 2013-10-16 08:17:10 EDT
I'm closing this one as duplicate of Bug #1007074.  This BZ added few more checks when metadata could be swapped.

It relates to this BZ as well - since if the thin-pool would be inactive,
not activation for swapped thin-pool is made.

However if someone tries to activate thin-pool with incorrect metadata,
he needs to deal with consequences - which currently may enforce user
to manually remove devices from dm table.

So if the 'newMDA' doesn't have valid metadata, the user will need to swap back valid metadata for the snapper_thinp/POOL device - or has to manually  remove entries from dm table and  vgcfgrestore metadata without any appearance of the POOL in them (thin data & metadata and thin volumes removed).

Swapping is only meant to be used for manual recovery of damaged pool (which may eventually be stacked over raids).

*** This bug has been marked as a duplicate of bug 1007074 ***

Note You need to log in before you can comment on or make changes to this bug.